<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmTimer5: C:/DDrive/Development/AVR/Vault/kmAvrLibs/kmTimer5/kmTimer5 - Copy.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">kmTimer5
   </div>
   <div id="projectbrief">kmTimer5 library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('km_timer5_01-_01_copy_8h_source.html','');});
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">C:/DDrive/Development/AVR/Vault/kmAvrLibs/kmTimer5/kmTimer5 - Copy.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">This is an independent project of an individual developer. Dear PVS-Studio, please check it.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">PVS-Studio Static Code Analyzer for C, C++, C#, and Java: http://www.viva64.com</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">*/</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#ifndef KMTIMER5_H_</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#define KMTIMER5_H_</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#ifdef KM_DOXYGEN</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#define COM5C0</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* KM_DOXYGEN */</span><span class="preprocessor"></span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="preprocessor">#ifdef TIMSK5</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="preprocessor">#include &lt;stdbool.h&gt;</span></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="preprocessor">#include &lt;stdint.h&gt;</span></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="preprocessor">#include &lt;stdlib.h&gt;</span></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="preprocessor">#include &lt;stddef.h&gt;</span></div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="preprocessor">#include &quot;../kmCommon/kmCommon.h&quot;</span></div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="preprocessor">#include &quot;../kmTimersCommon/kmTimer5Defs.h&quot;</span></div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="preprocessor">#define KM_TIMER5_USER_DATA(X) (void *)(X)</span></div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;<span class="keyword">typedef</span> <span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a0f28846aecb364d82c5a8fd322727ac5">kmTimer5CallbackType</a>(<span class="keywordtype">void</span> *);</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="keyword">typedef</span> <span class="keywordtype">void</span> <a class="code" href="km_timer5_8h.html#a851822f6e3a2cb5476bd0a6abb4c476b">kmTimer5InpCaptureCallbackType</a>(uint16_t, <span class="keywordtype">bool</span>, <span class="keywordtype">void</span> *);</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="keyword">typedef</span> <span class="keyword">enum</span> {</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    <a class="code" href="km_timer5_8h.html#a28daf874cf0c73fdd6bedb01b4ea165aa6cad1853b2691e148b7959c9fd989672">KM_TCC5_PWM_OUT_A</a>,</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    <a class="code" href="km_timer5_8h.html#a28daf874cf0c73fdd6bedb01b4ea165aa14dd5774a69f68fe4e7d1d0ac4569679">KM_TCC5_PWM_OUT_B</a>,</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="preprocessor">#ifdef OCR5C</span></div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    KM_TCC5_PWM_OUT_C</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;} <a class="code" href="km_timer5_8h.html#a28daf874cf0c73fdd6bedb01b4ea165a">Tcc5PwmOut</a>;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;<span class="keywordtype">void</span> kmTimer5InitOnPrescalerBottomToTopOvfCompABCInterruptCallback(<span class="keyword">const</span> uint8_t prescaler);</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;<span class="keywordtype">void</span> kmTimer5InitOnAccuratePeriodGenerateOutputClockA(<span class="keyword">const</span> uint32_t periodInMicroseconds);</div><div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;</div><div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;<span class="keywordtype">void</span> kmTimer5InitOnAccurateTimeCompAInterruptCallback(<span class="keyword">const</span> uint32_t microseconds, <span class="keyword">const</span> <span class="keywordtype">bool</span> outOnOC5A);</div><div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;</div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;<span class="keywordtype">void</span> kmTimer5InitExternal(<span class="keywordtype">bool</span> falling);</div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;</div><div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;<span class="keywordtype">void</span> kmTimer5InitOnAccurateTimeCompABInterruptCallback(<span class="keyword">const</span> uint32_t microseconds, uint16_t phaseIntB);</div><div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;</div><div class="line"><a name="l00278"></a><span class="lineno">  278</span>&#160;<span class="preprocessor">#ifdef OCR5C</span></div><div class="line"><a name="l00279"></a><span class="lineno">  279</span>&#160;uint16_t kmTimer5InitOnAccurateTimeFastPwm(<span class="keyword">const</span> uint32_t microseconds, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedBconst, uint16_t dutyC, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedC);</div><div class="line"><a name="l00280"></a><span class="lineno">  280</span>&#160;<span class="preprocessor">#else</span></div><div class="line"><a name="l00281"></a><span class="lineno">  281</span>&#160;uint16_t kmTimer5InitOnAccurateTimeFastPwm(<span class="keyword">const</span> uint32_t microseconds, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedBconst);</div><div class="line"><a name="l00282"></a><span class="lineno">  282</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160;</div><div class="line"><a name="l00319"></a><span class="lineno">  319</span>&#160;<span class="preprocessor">#ifdef OCR5C</span></div><div class="line"><a name="l00320"></a><span class="lineno">  320</span>&#160;uint16_t kmTimer5InitOnAccurateTimePcPwm(<span class="keyword">const</span> uint32_t microseconds, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB, <span class="keyword">const</span> uint16_t dutyC, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedC);</div><div class="line"><a name="l00321"></a><span class="lineno">  321</span>&#160;<span class="preprocessor">#else</span></div><div class="line"><a name="l00322"></a><span class="lineno">  322</span>&#160;uint16_t kmTimer5InitOnAccurateTimePcPwm(<span class="keyword">const</span> uint32_t microseconds, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB);</div><div class="line"><a name="l00323"></a><span class="lineno">  323</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00324"></a><span class="lineno">  324</span>&#160;</div><div class="line"><a name="l00361"></a><span class="lineno">  361</span>&#160;<span class="preprocessor">#ifdef OCR5C</span></div><div class="line"><a name="l00362"></a><span class="lineno">  362</span>&#160;<span class="keywordtype">void</span> kmTimer5InitOnPrescalerBottomToTopFastPwm(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB, <span class="keyword">const</span> uint16_t dutyC, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedC);</div><div class="line"><a name="l00363"></a><span class="lineno">  363</span>&#160;<span class="preprocessor">#else</span></div><div class="line"><a name="l00364"></a><span class="lineno">  364</span>&#160;<span class="keywordtype">void</span> kmTimer5InitOnPrescalerBottomToTopFastPwm(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB);</div><div class="line"><a name="l00365"></a><span class="lineno">  365</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00366"></a><span class="lineno">  366</span>&#160;</div><div class="line"><a name="l00403"></a><span class="lineno">  403</span>&#160;<span class="preprocessor">#ifdef OCR5C</span></div><div class="line"><a name="l00404"></a><span class="lineno">  404</span>&#160;<span class="keywordtype">void</span> kmTimer5InitOnPrescalerBottomToTopPcPwm(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB, <span class="keyword">const</span> uint16_t dutyC, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedC);</div><div class="line"><a name="l00405"></a><span class="lineno">  405</span>&#160;<span class="preprocessor">#else</span></div><div class="line"><a name="l00406"></a><span class="lineno">  406</span>&#160;<span class="keywordtype">void</span> kmTimer5InitOnPrescalerBottomToTopPcPwm(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB);</div><div class="line"><a name="l00407"></a><span class="lineno">  407</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00408"></a><span class="lineno">  408</span>&#160;</div><div class="line"><a name="l00421"></a><span class="lineno">  421</span>&#160;<span class="keywordtype">void</span> kmTimer5InitOnPrescalerBottomToTopFastPwmOCA(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA);</div><div class="line"><a name="l00422"></a><span class="lineno">  422</span>&#160;</div><div class="line"><a name="l00435"></a><span class="lineno">  435</span>&#160;<span class="keywordtype">void</span> kmTimer5InitOnPrescalerBottomToTopPcPwmOCA(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA);</div><div class="line"><a name="l00436"></a><span class="lineno">  436</span>&#160;</div><div class="line"><a name="l00451"></a><span class="lineno">  451</span>&#160;<span class="keywordtype">void</span> kmTimer5InitInputCapture(<span class="keyword">const</span> uint32_t iddleTimeMicroseconds,</div><div class="line"><a name="l00452"></a><span class="lineno">  452</span>&#160;                            <span class="keywordtype">void</span> *iddleUserData, <a class="code" href="km_timer5_8h.html#a0f28846aecb364d82c5a8fd322727ac5">kmTimer5CallbackType</a> *iddleCallback,</div><div class="line"><a name="l00453"></a><span class="lineno">  453</span>&#160;                            <span class="keywordtype">void</span> *inpCaptureUserData, <a class="code" href="km_timer5_8h.html#a851822f6e3a2cb5476bd0a6abb4c476b">kmTimer5InpCaptureCallbackType</a> *inpCaptureCallback);</div><div class="line"><a name="l00454"></a><span class="lineno">  454</span>&#160;</div><div class="line"><a name="l00455"></a><span class="lineno">  455</span>&#160;<span class="comment">// Setters callback user data</span></div><div class="line"><a name="l00466"></a><span class="lineno">  466</span>&#160;<span class="comment"></span><span class="keywordtype">void</span> kmTimer5SetCallbackUserDataOVF(<span class="keywordtype">void</span> *userData);</div><div class="line"><a name="l00467"></a><span class="lineno">  467</span>&#160;</div><div class="line"><a name="l00478"></a><span class="lineno">  478</span>&#160;<span class="keywordtype">void</span> kmTimer5SetCallbackUserDataCompA(<span class="keywordtype">void</span> *userData);</div><div class="line"><a name="l00479"></a><span class="lineno">  479</span>&#160;</div><div class="line"><a name="l00490"></a><span class="lineno">  490</span>&#160;<span class="keywordtype">void</span> kmTimer5SetCallbackUserDataCompB(<span class="keywordtype">void</span> *userData);</div><div class="line"><a name="l00491"></a><span class="lineno">  491</span>&#160;</div><div class="line"><a name="l00492"></a><span class="lineno">  492</span>&#160;<span class="preprocessor">#ifdef OCR5C</span></div><div class="line"><a name="l00493"></a><span class="lineno">  493</span>&#160;</div><div class="line"><a name="l00503"></a><span class="lineno">  503</span>&#160;<span class="keywordtype">void</span> kmTimer5SetCallbackUserDataCompC(<span class="keywordtype">void</span> *userData);</div><div class="line"><a name="l00504"></a><span class="lineno">  504</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00505"></a><span class="lineno">  505</span>&#160;</div><div class="line"><a name="l00506"></a><span class="lineno">  506</span>&#160;<span class="comment">// Registering callbacks</span></div><div class="line"><a name="l00522"></a><span class="lineno">  522</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00525"></a><span class="lineno">  525</span>&#160;<span class="comment"></span><span class="keywordtype">void</span> kmTimer5RegisterCallbackOVF(<span class="keywordtype">void</span> *userData, <a class="code" href="km_timer5_8h.html#a0f28846aecb364d82c5a8fd322727ac5">kmTimer5CallbackType</a> *callback);</div><div class="line"><a name="l00526"></a><span class="lineno">  526</span>&#160;</div><div class="line"><a name="l00542"></a><span class="lineno">  542</span>&#160;</div><div class="line"><a name="l00545"></a><span class="lineno">  545</span>&#160;<span class="keywordtype">void</span> kmTimer5RegisterCallbackCompA(<span class="keywordtype">void</span> *userData, <a class="code" href="km_timer5_8h.html#a0f28846aecb364d82c5a8fd322727ac5">kmTimer5CallbackType</a> *callback);</div><div class="line"><a name="l00546"></a><span class="lineno">  546</span>&#160;</div><div class="line"><a name="l00562"></a><span class="lineno">  562</span>&#160;</div><div class="line"><a name="l00565"></a><span class="lineno">  565</span>&#160;<span class="keywordtype">void</span> kmTimer5RegisterCallbackCompB(<span class="keywordtype">void</span> *userData, <a class="code" href="km_timer5_8h.html#a0f28846aecb364d82c5a8fd322727ac5">kmTimer5CallbackType</a> *callback);</div><div class="line"><a name="l00566"></a><span class="lineno">  566</span>&#160;</div><div class="line"><a name="l00567"></a><span class="lineno">  567</span>&#160;<span class="preprocessor">#ifdef OCR5C</span></div><div class="line"><a name="l00568"></a><span class="lineno">  568</span>&#160;</div><div class="line"><a name="l00583"></a><span class="lineno">  583</span>&#160;</div><div class="line"><a name="l00586"></a><span class="lineno">  586</span>&#160;<span class="keywordtype">void</span> kmTimer5RegisterCallbackCompC(<span class="keywordtype">void</span> *userData, <a class="code" href="km_timer5_8h.html#a0f28846aecb364d82c5a8fd322727ac5">kmTimer5CallbackType</a> *callback);</div><div class="line"><a name="l00587"></a><span class="lineno">  587</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00588"></a><span class="lineno">  588</span>&#160;</div><div class="line"><a name="l00591"></a><span class="lineno">  591</span>&#160;<span class="keywordtype">void</span> kmTimer5RegisterCallbackInpCapture(<span class="keywordtype">void</span> *userData, <a class="code" href="km_timer5_8h.html#a851822f6e3a2cb5476bd0a6abb4c476b">kmTimer5InpCaptureCallbackType</a> *callback);</div><div class="line"><a name="l00592"></a><span class="lineno">  592</span>&#160;</div><div class="line"><a name="l00593"></a><span class="lineno">  593</span>&#160;<span class="comment">// Unregistering callbacks</span></div><div class="line"><a name="l00597"></a><span class="lineno">  597</span>&#160;<span class="comment"></span><span class="keywordtype">void</span> kmTimer5UnregisterCallbackOVF(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00598"></a><span class="lineno">  598</span>&#160;</div><div class="line"><a name="l00602"></a><span class="lineno">  602</span>&#160;<span class="keywordtype">void</span> kmTimer5UnregisterCallbackCompA(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00603"></a><span class="lineno">  603</span>&#160;</div><div class="line"><a name="l00607"></a><span class="lineno">  607</span>&#160;<span class="keywordtype">void</span> kmTimer5UnregisterCallbackCompB(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00608"></a><span class="lineno">  608</span>&#160;</div><div class="line"><a name="l00609"></a><span class="lineno">  609</span>&#160;<span class="preprocessor">#ifdef OCR5C</span></div><div class="line"><a name="l00610"></a><span class="lineno">  610</span>&#160;</div><div class="line"><a name="l00613"></a><span class="lineno">  613</span>&#160;<span class="keywordtype">void</span> kmTimer5UnregisterCallbackCompC(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00614"></a><span class="lineno">  614</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00615"></a><span class="lineno">  615</span>&#160;</div><div class="line"><a name="l00619"></a><span class="lineno">  619</span>&#160;<span class="keywordtype">void</span> kmTimer5UnregisterCallbackInpCapture(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00620"></a><span class="lineno">  620</span>&#160;</div><div class="line"><a name="l00621"></a><span class="lineno">  621</span>&#160;<span class="comment">// Enabling interrupts</span></div><div class="line"><a name="l00625"></a><span class="lineno">  625</span>&#160;<span class="comment"></span><span class="keywordtype">void</span> kmTimer5EnableInterruptOVF(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00626"></a><span class="lineno">  626</span>&#160;</div><div class="line"><a name="l00630"></a><span class="lineno">  630</span>&#160;<span class="keywordtype">void</span> kmTimer5EnableInterruptCompA(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00631"></a><span class="lineno">  631</span>&#160;</div><div class="line"><a name="l00635"></a><span class="lineno">  635</span>&#160;<span class="keywordtype">void</span> kmTimer5EnableInterruptCompB(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00636"></a><span class="lineno">  636</span>&#160;</div><div class="line"><a name="l00637"></a><span class="lineno">  637</span>&#160;<span class="preprocessor">#ifdef OCR5C</span></div><div class="line"><a name="l00638"></a><span class="lineno">  638</span>&#160;</div><div class="line"><a name="l00641"></a><span class="lineno">  641</span>&#160;<span class="keywordtype">void</span> kmTimer5EnableInterruptCompC(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00642"></a><span class="lineno">  642</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00643"></a><span class="lineno">  643</span>&#160;</div><div class="line"><a name="l00658"></a><span class="lineno">  658</span>&#160;<span class="keywordtype">void</span> kmTimer5EnableInterruptInpCapture(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00659"></a><span class="lineno">  659</span>&#160;</div><div class="line"><a name="l00660"></a><span class="lineno">  660</span>&#160;<span class="comment">// Disabling interrupts</span></div><div class="line"><a name="l00664"></a><span class="lineno">  664</span>&#160;<span class="comment"></span><span class="keywordtype">void</span> kmTimer5DisableInterruptsAll(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00665"></a><span class="lineno">  665</span>&#160;</div><div class="line"><a name="l00669"></a><span class="lineno">  669</span>&#160;<span class="keywordtype">void</span> kmTimer5DisableInterruptOVF(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00670"></a><span class="lineno">  670</span>&#160;</div><div class="line"><a name="l00674"></a><span class="lineno">  674</span>&#160;<span class="keywordtype">void</span> kmTimer5DisableInterruptCompA(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00675"></a><span class="lineno">  675</span>&#160;</div><div class="line"><a name="l00679"></a><span class="lineno">  679</span>&#160;<span class="keywordtype">void</span> kmTimer5DisableInterruptCompB(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00680"></a><span class="lineno">  680</span>&#160;</div><div class="line"><a name="l00681"></a><span class="lineno">  681</span>&#160;<span class="preprocessor">#ifdef OCR5C</span></div><div class="line"><a name="l00682"></a><span class="lineno">  682</span>&#160;</div><div class="line"><a name="l00685"></a><span class="lineno">  685</span>&#160;<span class="keywordtype">void</span> kmTimer5DisableInterruptCompC(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00686"></a><span class="lineno">  686</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00687"></a><span class="lineno">  687</span>&#160;</div><div class="line"><a name="l00702"></a><span class="lineno">  702</span>&#160;<span class="keywordtype">void</span> kmTimer5SetValueOvf(uint16_t value);</div><div class="line"><a name="l00703"></a><span class="lineno">  703</span>&#160;</div><div class="line"><a name="l00704"></a><span class="lineno">  704</span>&#160;<span class="comment">// Configuration of Comparator Outputs</span></div><div class="line"><a name="l00710"></a><span class="lineno">  710</span>&#160;<span class="comment"></span><span class="keywordtype">void</span> kmTimer5ConfigureOCA(uint8_t compareOutputMode);</div><div class="line"><a name="l00711"></a><span class="lineno">  711</span>&#160;</div><div class="line"><a name="l00717"></a><span class="lineno">  717</span>&#160;<span class="keywordtype">void</span> kmTimer5ConfigureOCB(uint8_t compareOutputMode);</div><div class="line"><a name="l00718"></a><span class="lineno">  718</span>&#160;</div><div class="line"><a name="l00724"></a><span class="lineno">  724</span>&#160;<span class="keywordtype">void</span> kmTimer5ConfigureOCC(uint8_t compareOutputMode);</div><div class="line"><a name="l00725"></a><span class="lineno">  725</span>&#160;</div><div class="line"><a name="l00726"></a><span class="lineno">  726</span>&#160;<span class="comment">// Controlling timer flow</span></div><div class="line"><a name="l00730"></a><span class="lineno">  730</span>&#160;<span class="comment"></span><span class="keywordtype">void</span> kmTimer5Start(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00731"></a><span class="lineno">  731</span>&#160;</div><div class="line"><a name="l00735"></a><span class="lineno">  735</span>&#160;<span class="keywordtype">void</span> kmTimer5Stop(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00736"></a><span class="lineno">  736</span>&#160;</div><div class="line"><a name="l00740"></a><span class="lineno">  740</span>&#160;<span class="keywordtype">void</span> kmTimer5Restart(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00741"></a><span class="lineno">  741</span>&#160;</div><div class="line"><a name="l00742"></a><span class="lineno">  742</span>&#160;<span class="comment">// Controlling PWM</span></div><div class="line"><a name="l00750"></a><span class="lineno">  750</span>&#160;<span class="comment"></span><span class="keywordtype">void</span> kmTimer5SetPwmDutyBottomToTop(<a class="code" href="km_timer5_8h.html#a28daf874cf0c73fdd6bedb01b4ea165a">Tcc5PwmOut</a> pwmOut, uint16_t duty);</div><div class="line"><a name="l00759"></a><span class="lineno">  759</span>&#160;<span class="keywordtype">void</span> kmTimer5SetPwmDutyAccurateTimeModes(uint16_t duty);</div><div class="line"><a name="l00760"></a><span class="lineno">  760</span>&#160;</div><div class="line"><a name="l00766"></a><span class="lineno">  766</span>&#160;<span class="keywordtype">void</span> kmTimer5SetPwmInversion(<a class="code" href="km_timer5_8h.html#a28daf874cf0c73fdd6bedb01b4ea165a">Tcc5PwmOut</a> pwmOut, <span class="keywordtype">bool</span> inverted);</div><div class="line"><a name="l00767"></a><span class="lineno">  767</span>&#160;</div><div class="line"><a name="l00768"></a><span class="lineno">  768</span>&#160;<span class="comment">// Timer flow calculations</span></div><div class="line"><a name="l00779"></a><span class="lineno">  779</span>&#160;<span class="comment"></span>uint16_t kmTimer5CalcPerdiod(<span class="keyword">const</span> uint32_t microseconds, uint8_t *prescaler);</div><div class="line"><a name="l00780"></a><span class="lineno">  780</span>&#160;</div><div class="line"><a name="l00794"></a><span class="lineno">  794</span>&#160;uint16_t kmTimer5CalcPerdiodWithMinPwmAccuracy(<span class="keyword">const</span> uint32_t microseconds, uint8_t *prescaler, <span class="keyword">const</span> uint16_t minimumCycleAcuracy);</div><div class="line"><a name="l00795"></a><span class="lineno">  795</span>&#160;</div><div class="line"><a name="l00803"></a><span class="lineno">  803</span>&#160;uint16_t kmTimer5CalcDutyOnCycles(uint16_t duty, uint16_t cyclesRange);</div><div class="line"><a name="l00804"></a><span class="lineno">  804</span>&#160;</div><div class="line"><a name="l00805"></a><span class="lineno">  805</span>&#160;</div><div class="line"><a name="l00819"></a><span class="lineno">  819</span>&#160;uint16_t kmTimer5GetValueOvf(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00820"></a><span class="lineno">  820</span>&#160;</div><div class="line"><a name="l00834"></a><span class="lineno">  834</span>&#160;uint16_t kmTimer5GetValueCompA(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00835"></a><span class="lineno">  835</span>&#160;</div><div class="line"><a name="l00849"></a><span class="lineno">  849</span>&#160;uint16_t kmTimer5GetValueCompB(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00850"></a><span class="lineno">  850</span>&#160;</div><div class="line"><a name="l00851"></a><span class="lineno">  851</span>&#160;<span class="preprocessor">#ifdef OCR5C</span></div><div class="line"><a name="l00852"></a><span class="lineno">  852</span>&#160;</div><div class="line"><a name="l00865"></a><span class="lineno">  865</span>&#160;uint16_t kmTimer5GetValueCompC(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00866"></a><span class="lineno">  866</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00867"></a><span class="lineno">  867</span>&#160;</div><div class="line"><a name="l00882"></a><span class="lineno">  882</span>&#160;<span class="keywordtype">void</span> kmTimer5SetValueOvf(uint16_t value);</div><div class="line"><a name="l00883"></a><span class="lineno">  883</span>&#160;</div><div class="line"><a name="l00897"></a><span class="lineno">  897</span>&#160;<span class="keywordtype">void</span> kmTimer5SetValueCompA(uint16_t value);</div><div class="line"><a name="l00898"></a><span class="lineno">  898</span>&#160;</div><div class="line"><a name="l00912"></a><span class="lineno">  912</span>&#160;<span class="keywordtype">void</span> kmTimer5SetValueCompB(uint16_t value);</div><div class="line"><a name="l00913"></a><span class="lineno">  913</span>&#160;</div><div class="line"><a name="l00914"></a><span class="lineno">  914</span>&#160;<span class="preprocessor">#ifdef OCR5C</span></div><div class="line"><a name="l00915"></a><span class="lineno">  915</span>&#160;</div><div class="line"><a name="l00928"></a><span class="lineno">  928</span>&#160;<span class="keywordtype">void</span> kmTimer5SetValueCompC(uint16_t value);</div><div class="line"><a name="l00929"></a><span class="lineno">  929</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00930"></a><span class="lineno">  930</span>&#160;</div><div class="line"><a name="l00951"></a><span class="lineno">  951</span>&#160;<span class="keywordtype">bool</span> kmTimer5InpCaputureGetState(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00952"></a><span class="lineno">  952</span>&#160;</div><div class="line"><a name="l00966"></a><span class="lineno">  966</span>&#160;<span class="keywordtype">void</span> kmTimer5Init(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint8_t modeA, <span class="keyword">const</span> uint8_t modeB);</div><div class="line"><a name="l00967"></a><span class="lineno">  967</span>&#160;</div><div class="line"><a name="l00973"></a><span class="lineno">  973</span>&#160;<span class="keywordtype">void</span> kmTimer5Start(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00974"></a><span class="lineno">  974</span>&#160;</div><div class="line"><a name="l00980"></a><span class="lineno">  980</span>&#160;<span class="keywordtype">void</span> kmTimer5Stop(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00981"></a><span class="lineno">  981</span>&#160;</div><div class="line"><a name="l00987"></a><span class="lineno">  987</span>&#160;<span class="keywordtype">void</span> kmTimer5Restart(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00988"></a><span class="lineno">  988</span>&#160;</div><div class="line"><a name="l00989"></a><span class="lineno">  989</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* TIMSK5 */</span><span class="preprocessor"></span></div><div class="line"><a name="l00990"></a><span class="lineno">  990</span>&#160;</div><div class="line"><a name="l00991"></a><span class="lineno">  991</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00992"></a><span class="lineno">  992</span>&#160;}</div><div class="line"><a name="l00993"></a><span class="lineno">  993</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/*  __cplusplus */</span><span class="preprocessor"></span></div><div class="line"><a name="l00994"></a><span class="lineno">  994</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* KMTIMER5_H_ */</span><span class="preprocessor"></span></div><div class="line"><a name="l00995"></a><span class="lineno">  995</span>&#160;</div><div class="ttc" id="km_timer5_8h_html_a0f28846aecb364d82c5a8fd322727ac5"><div class="ttname"><a href="km_timer5_8h.html#a0f28846aecb364d82c5a8fd322727ac5">kmTimer5CallbackType</a></div><div class="ttdeci">void kmTimer5CallbackType(void *)</div><div class="ttdef"><b>Definition:</b> kmTimer5.h:61</div></div>
<div class="ttc" id="km_timer5_8h_html_a28daf874cf0c73fdd6bedb01b4ea165aa6cad1853b2691e148b7959c9fd989672"><div class="ttname"><a href="km_timer5_8h.html#a28daf874cf0c73fdd6bedb01b4ea165aa6cad1853b2691e148b7959c9fd989672">KM_TCC5_PWM_OUT_A</a></div><div class="ttdoc">PWM on output A.</div><div class="ttdef"><b>Definition:</b> kmTimer5.h:75</div></div>
<div class="ttc" id="km_timer5_8h_html_a28daf874cf0c73fdd6bedb01b4ea165a"><div class="ttname"><a href="km_timer5_8h.html#a28daf874cf0c73fdd6bedb01b4ea165a">Tcc5PwmOut</a></div><div class="ttdeci">Tcc5PwmOut</div><div class="ttdef"><b>Definition:</b> kmTimer5.h:73</div></div>
<div class="ttc" id="km_timer5_8h_html_a851822f6e3a2cb5476bd0a6abb4c476b"><div class="ttname"><a href="km_timer5_8h.html#a851822f6e3a2cb5476bd0a6abb4c476b">kmTimer5InpCaptureCallbackType</a></div><div class="ttdeci">void kmTimer5InpCaptureCallbackType(uint16_t, bool, void *)</div><div class="ttdef"><b>Definition:</b> kmTimer5.h:68</div></div>
<div class="ttc" id="km_timer5_8h_html_a28daf874cf0c73fdd6bedb01b4ea165aa14dd5774a69f68fe4e7d1d0ac4569679"><div class="ttname"><a href="km_timer5_8h.html#a28daf874cf0c73fdd6bedb01b4ea165aa14dd5774a69f68fe4e7d1d0ac4569679">KM_TCC5_PWM_OUT_B</a></div><div class="ttdoc">PWM on output B.</div><div class="ttdef"><b>Definition:</b> kmTimer5.h:77</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>kmTimer5 - Copy.h</b></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.15 </li>
  </ul>
</div>
</body>
</html>
